cdb_successor(3)

NAME
cdb_successor - find next record

SYNTAX
#include <libowfat/cdb.h>

int cdb_successor(struct cdb *c,char *key,unsigned long int klen);

DESCRIPTION
cdb_successor finds the record that follows key. If key is NULL, cdb_successor finds the first record.

NOTE! The database must not contain keys with more than one associated record or this API will lead to infinite loops! Use cdb_firstkey and cdb_nextkey instead.

You can use cdb_datapos or cdb_keypos to get position and cdb_datalen and cdb_keylen to get len.

SEE ALSO
cdb_firstkey(3), cdb_nextkey(3)